dns_mx_packet(3)

NAME
dns_mx_packet - extract MX records from DNS answer packet

SYNTAX
#include <dns.h> int dns_mx_packet(stralloc* out,const char* buf,
                  unsigned int len);

DESCRIPTION
dns_mx_packet is a low-level component of dns_mx, designed to support asynchronous DNS lookups. It reads a DNS packet of length len from buf, extracts the MX records from the answer section of the packet, puts the result into out, and returns 0 or -1 the same way as dns_mx.

SEE ALSO
dns_mx(3), dns_ip4(3), dns_ip6(3)